ストレージバックエンドのボリュームを取得します
GET /accounts/{account_id}/topology/v1/storageBackends/{storageBackend_id}/volumes/{volume_id}
JSONレスポンスボディに格納されたVolume APIリソースを返します。
パラメータ
| Name | を入力します | 入力 | 必須 | 説明 |
|---|---|---|---|---|
account_id |
string |
path(パス) |
True |
包含するアカウントリソースのID
|
storageBackend_id |
string |
path(パス) |
True |
包含するstorageBackendリソースのID |
volume_id |
string |
path(パス) |
True |
リストするボリュームコレクションのID |
応答
Status: 200, Returns the stored Volume API resource in the JSON response body.
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
リソースのメディアタイプ。定義された値は次のとおりです:
|
バージョン |
string |
True |
リソースのバージョン。定義された値は次のとおりです:
|
ID |
string |
True |
リソースのグローバル一意識別子。定義された値は次のとおりです:
|
名前 |
string |
True |
ボリューム名を含むJSON文字列。定義された値は次のとおりです:
|
状態 |
string |
False |
ボリュームの動作状態を示す値を含むJSON文字列。 |
サイズ |
string |
False |
ボリュームのサイズを含むJSON文字列。 |
使用済み |
番号 |
False |
プロビジョニングされたボリュームによって使用されるクォータのバイト数を含むJSON形式の数値。 |
usedPercentage |
番号 |
False |
使用されているボリュームの割合を含むJSON番号。 |
total |
番号 |
False |
プロビジョニングされたボリュームの合計バイト数を含むJSON番号。 |
creationToken |
string |
False |
ボリュームの作成トークンを含むJSON文字列。定義された値は次のとおりです:
|
snapshotPossible |
string |
False |
ドライバがボリュームのスナップショットを実行できるかどうかを示すJSON文字列。定義された値は次のとおりです:
|
storageClass |
string |
False |
ボリュームのストレージクラスを含むJSON文字列。
|
pvcName |
string |
False |
ボリュームのPersistentVolumeClaim(PVC)名を含むJSON文字列。
|
internalName |
string |
False |
利用可能な場合、ターゲットストレージクラスタ上のボリュームの内部名を含むJSON文字列。この名前はKubernetes CSIドライバから取得されます。
|
appsUsing |
array[string] |
True |
JSON文字列のJSON配列。各文字列には、ボリュームを使用しているアプリケーションのIDが含まれています。定義された値は次のとおりです:
|
storageBackendID |
string |
False |
ボリュームを提供するストレージバックエンドのIDを含むJSON文字列。定義された値は次のとおりです:
|
オーケストレーター |
string |
False |
このボリュームのオーケストレーターを含むJSON文字列。これはAstra Data Storeボリュームに対して定義されます。定義された値は次のとおりです:
|
serviceLevel |
string |
False |
ストレージバックエンドレベルでこのボリュームに対して定義されたサービス品質(QoS)ポリシーを含むJSON文字列。これはAstra Data Storeボリュームに対して定義されます。 |
exportPolicy |
string |
False |
このボリュームに関連付けられたエクスポートポリシーを含むJSON文字列。これはAstra Data Storeボリュームに対して定義されます。 |
nodeId |
string |
False |
ボリュームを処理するノード ID を含む JSON 文字列。これはAstra Data Storeボリュームに対して定義されます。定義された値は次のとおりです:
|
healthState |
string |
False |
ボリュームの健全性状態を示す値を含むJSON文字列。これはAstra Data Storeボリュームに対して定義されます。定義された値は次のとおりです:
|
healthStateDetails |
True |
現在の健全性に関する追加の詳細情報を一覧表示するJSONオブジェクトのJSON配列。詳細情報が利用できない場合、この配列は空になります。
|
|
メタデータ |
True |
リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:
|
回答例
{
"type": "application/astra-volume",
"version": "1.2",
"id": "ab5c9fb8-ddba-526f-8bd3-8d5b72cf4f7f",
"name": "myVolume",
"state": "ready",
"size": "512 GiB",
"used": 10000000000,
"usedPercentage": 10,
"total": 10000000000,
"creationToken": "ba7d4e0c-6ae3-4b6e-859d-9463e7ca4b4e",
"snapshotPossible": "true",
"storageClass": "gold",
"pvcName": "myVolume",
"internalName": "trident_sd234234_23424_897d_876sd65w",
"appsUsing": [],
"orchestrator": "trident",
"serviceLevel": "gold",
"exportPolicy": "astra-vp-default",
"nodeId": "94d16dd2-9beb-4edb-ab58-1a00e9a90052",
"healthState": "normal",
"healthStateDetails": [],
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
応答
Status: 401, Unauthorized
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
応答
Status: 400, Bad request
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
配列["invalidParams"] |
False |
無効なクエリパラメータのリスト |
回答例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
応答
Status: 403, Forbidden
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
エラー
Status: 404, Not found
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
エラー応答の例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
用語の意味
定義を参照
additionalDetails
type_astra_stateDetail
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
additionalDetails |
False |
type_astra_label
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
|
Value |
string |
True |
type_astra_metadata
リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:
-
Astraメタデータスキーマに準拠
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
ラベル |
True |
||
作成タイムスタンプ |
string |
True |
|
modificationTimestamp |
string |
True |
|
作成者 |
string |
True |
|
modifiedBy |
string |
False |
invalidParams
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
無効なクエリパラメータの名前 |
理由 |
string |
True |
クエリパラメータが無効な理由 |